Attribute VB_Name = "WTCommands"
Option Explicit

'**********************************************************************************************************
' NAME:  WTCommands.BAS
' TITLE: General header file for Weigh-Tronix specific commands.
' DESCR: This file is used to define constants for vendor-specific (i.e. Weigh-Tronix) commands.
'        The interface uses the DirectIO (and possibly DirectIOEvent) mechanisms built into the
'        OPOS C.O./S.O. interface. Using any of these commands makes the application non-portable.
'
' NOTES: 1)In addition to being included in the S.O. project, this file must be included in any
'          application project that needs to use these Weigh-Tronix vendor-specific commands.
'
'**********************************************************************************************************

'----------------------------------------------------------------------------------------------------------
' OPOS "Vendor-Specific" (i.e. Weigh-Tronix) Function Constants
'----------------------------------------------------------------------------------------------------------
Public Const WT_MfgCmd_SIOProtocol As Long = 1          'Read serial protocol in use
Public Const WT_MfgCmd_0Wt_Valid As Long = 2            '0.00 weight is a valid weight
Public Const WT_MfgCmd_0Wt_NotValid As Long = 3         '0.00 weight is not a valid weight
Public Const WT_MfgCmd_EnableTransactionLatch = 4
Public Const WT_MfgCmd_DisableTransactionLatch = 5
Public Const WT_MfgCmd_ReadTransaction = 6

'----------------------------------------------------------------------------------------------------------
' OPOS "ResultCodeExtended" Property Constants
'----------------------------------------------------------------------------------------------------------
Public Const WT_MFG_NULL As Long = 0
Public Const WT_MFG_ECRPROTO As Long = 1
Public Const WT_MFG_OPOSPROTO As Long = 2

Public Const WT_MFG_VALIDLATCHEDVALUE = 80
Public Const WT_MFG_INVALIDLATCHEDVALUE = 81
Public Const WT_MFG_TRANSACTIONLATCHDISABLED = 82
Public Const WT_MFG_TRANSACTIONLATCHENABLED = 83
Public Const WT_MFG_OTHERERROR As Long = 99

